
using Godot;


namespace Rokojori
{  
  [Tool][GlobalClass, Icon("res://addons/rokojori_action_library/Icons/SetNodeState.svg")]
  public partial class SetNodeStateSpecific : Action
  {
    [Export]
    public Node target;

    [Export]
    public NodeStateConfiguration configuration;

    protected override void _OnTrigger()
    {      
      CallDeferred( "SetNodeState" );
    }

    void SetNodeState()
    {
      NodeState.Configure( target, configuration );
    }
  }

}